pydo.genai.create_scheduled_indexing()
Generated on 3 Aug 2026
from pydo version
v0.40.0
Usage
client.genai.create_scheduled_indexing(
body={
"days": [...],
"knowledge_base_uuid": "123e4567-e89b-12d3-a456-426614174000",
"time": "example string",
},
)Description
To create scheduled indexing for a knowledge base, send a POST request to /v2/gen-ai/scheduled-indexing.
Parameters
daysarray of integers optionalDays for execution (day is represented same as in a cron expression, e.g. Monday begins with 1 )
knowledge_base_uuidstring optionalExample:
123e4567-e89b-12d3-a456-426614174000Knowledge base uuid for which the schedule is created
timestring optionalExample:
example stringTime of execution (HH:MM) UTC
Request Sample
Response Example
More Information
See /v2/gen-ai/scheduled-indexing in the API reference for additional detail on responses, headers, parameters, and more.